Summary: 	A library for network interface configuration with DHCP
Name: 		libdhcp
Version: 	1.1
Release: 	1a
License: 	GPL
Group: 		Development/Libraries
URL: 		http://people.redhat.com/~jvdias/libdhcp-1.0.tar.gz
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	libdhcp4client, libdhcp6client, libnl
BuildRequires:  libdhcp4client-devel, libdhcp6client-devel, libnl-devel, pkgconfig

%description
libdhcp enables programs to invoke and control the
Dynamic Host Configuration Protocol (DHCP) clients:
the Internet Software Consortium (ISC) IPv4 DHCP 
client library, libdhcp4client, and the IPv6 DHCPv6
client library, libdhcp6client, and provides 
Network Interface Configuration (NIC) services for 
network parameter autoconfiguration with DHCP.

%package devel
Summary:	C header files for development with libdhcp.
Group: 		Development/Libraries

%description devel
C header files for development with libdhcp.

%{?!NODEBUGINFO: %define NODEBUGINFO 0}
%if %{NODEBUGINFO}
%define debug_package %{nil}
%endif

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
%if %{NODEBUGINFO}
CFLAGS="`echo $RPM_OPT_FLAGS $CFLAGS | sed 's/-O[0-3]\ //g;s/-g\ /-g3\ -gdwarf-2\ /g'`" \
%else
CFLAGS="$RPM_OPT_FLAGS $CFLAGS" \
%endif
CC=%{__cc} \
make %{?_smp_mflags}

%install
%makeinstall pkgcfgdir=$RPM_BUILD_ROOT/usr/lib/pkgconfig
%if %{NODEBUGINFO}
/usr/lib/rpm/brp-compress
exit 0
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so.*
%doc README LICENSE

%files  devel
%defattr(-,root,root,-)
%{_libdir}/libdhcp.so
%{_includedir}/libdhcp
/usr/lib/pkgconfig/libdhcp.pc

%changelog
* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 1.0-1 
- Initial build.
